curl --request POST \
--url https://api.devin.ai/v3/organizations/{org_id}/sessions/{devin_id}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/sessions/{devin_id}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/sessions/{devin_id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acus_consumed": 123,
"created_at": 123,
"org_id": "<string>",
"pull_requests": [
{
"pr_state": "<string>",
"pr_url": "<string>"
}
],
"session_id": "<string>",
"status": "new",
"tags": [
"<string>"
],
"updated_at": 123,
"url": "<string>",
"automation_id": "<string>",
"category": "bug_fixing",
"child_session_ids": [
"<string>"
],
"devin_mode": "normal",
"is_archived": false,
"origin": "webapp",
"parent_session_id": "<string>",
"playbook_id": "<string>",
"service_user_id": "<string>",
"status_detail": "working",
"structured_output": {},
"subcategory": "<string>",
"title": "<string>",
"user_id": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Sitzung archivieren
Sitzung archivieren und in den Ruhezustand versetzen, wenn sie derzeit aktiv ist
devin_id ist die Session-ID mit dem Präfix devin- (z. B. devin-abc123).Berechtigungen
ManageOrgSessions auf Organisationsebene.
Hinweise
Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
"org-abc123def456"
Devin-Sitzungs-ID (Präfix: devin-)
"devin-abc123def456"
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
new, claimed, running, exit, error, suspended, resuming ID der Automatisierung, die diese Sitzung erstellt hat, falls vorhanden.
Die der Sitzung zugewiesene Anwendungsfallkategorie, falls die Kategorisierung ausgeführt wurde. Nur bei GET-/List-Endpunkten befüllt.
bug_fixing, ci_cd_and_devops, code_quality_and_security, code_review, code_review_and_analysis, data_and_automation, documentation_and_content, feature_development, migrations_and_upgrades, other, production_investigation, refactoring_and_optimization, research_and_exploration, security, unit_test_generation Der Devin-Agent-Modus, mit dem die Sitzung erstellt wurde, nach Auflösung der Organisations-/Nutzer-Standardwerte und der Vererbung von der übergeordneten Sitzung. None, wenn die Sitzung eine Agent-Vorschau ausführt, die kein entsprechendes Modusäquivalent hat.
normal, fast, lite, ultra, fusion Die Quelle, aus der die Sitzung erstellt wurde.
webapp, slack, teams, api, linear, jira, automation, cli, desktop, code_scan, other Zusätzliche Details zum aktuellen Status der Sitzung. Wenn der Status „running“ ist: „working“ (arbeitet aktiv), „waiting_for_user“ (benötigt Eingaben des Nutzers), „waiting_for_approval“ (wartet im abgesicherten Modus auf die Genehmigung einer Aktion) oder „finished“ (Aufgabe abgeschlossen). Wenn der Status „suspended“ ist: der Grund für die Unterbrechung, z. B. „inactivity“, „user_request“, „usage_limit_exceeded“, „out_of_credits“, „out_of_quota“, „no_quota_allocation“, „payment_declined“, „org_usage_limit_exceeded“, „user_usage_limit_exceeded“, „total_session_limit_exceeded“ oder „error“. Nur bei GET-/List-Endpunkten befüllt.
working, waiting_for_user, waiting_for_approval, finished, inactivity, user_request, usage_limit_exceeded, out_of_credits, out_of_quota, no_quota_allocation, payment_declined, org_usage_limit_exceeded, user_usage_limit_exceeded, total_session_limit_exceeded, error Validierte strukturierte Ausgabe aus der Session. Wird nur bei GET-/LIST-Endpunkten befüllt.
Der Anzeigename der der Sitzung zugewiesenen Unterkategorie. „Other“, wenn eine Kategorie festgelegt ist, aber keine Unterkategorie zugewiesen oder bezogen werden konnte. Nur bei GET-/List-Endpunkten befüllt.

